Bug 1028272 - ctrl-C does not work in xterm when launched from xfce4-panel
ctrl-C does not work in xterm when launched from xfce4-panel
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 1018819 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 23:14 EST by Mark Fassler
Modified: 2015-02-18 06:39 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:39:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Fassler 2013-11-07 23:14:28 EST
Description of problem:
ctrl-C isn't passed to the shell in xterm

Version-Release number of selected component (if applicable):
xfce4-panel-4.10.1-3.fc19.x86_64
xterm-293-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install xfce4 and xterm
2. Launch xterm:  Main menu button -> System -> xterm
3. type "sleep 5"
4. press ctrl-C

Actual results:
 nothing happens

Expected results:
 ctrl-C should interrupt the sleep command

Additional info:
Also, the top-right "X" button to close the window is un-responsive.
Xfce-terminal works fine.
If I launch xterm from any other method, it works fine.  (ie, "Run program..."->xterm works fine.  Launching xterm from Xfce-terminal works fine). 
If I launch xterm, then type zsh, then type bash, ctrl-C starts working.  


Workaround:
I made this script:

  #!/bin/bash
  at now <<EOF
  DISPLAY=:0.0 xterm
  EOF

and call that script from my application launcher button.  Works great.
Comment 1 Kevin Fenzi 2013-11-08 11:46:30 EST
Does the behavior change any if you use the new libxfc4ui from updates-testing?

yum --enablerepo=updates-testing update libxfce4ui

and logout and back on.
Comment 2 Mark Fassler 2013-11-08 12:24:29 EST
Hello,

That didn't seem to change anything.  

(It's bedtime in Tokyo...  I'll poke at it a bit more tomorrow...)

-Mark
Comment 3 Mark Fassler 2013-11-08 12:38:51 EST
BTW, I have dual-head, "zaphod style" using the nvidia driver.  I went back to nouveau, xinerama -- same results.  I tried nouveau, zaphod-head -- same results.  This is an upgraded desktop from FC17.  Fresh install, but I kept my home directory.  FC17 worked just fine.  (FC17 was a fresh install from FC--something which was an upgrade from FC--something.  I've been using XFCE and xterm and bash for a long, long time.)
Comment 4 Mark Fassler 2013-11-08 12:58:50 EST
... I feel like xfce4-panel is trapping sigint ...
Comment 5 Michael Krivacek 2013-11-20 11:17:00 EST
I have the same problem, though it is with urxvt256c.

Oddly xfce-terminal works when run from a menu, but urxvt256c doesn't.  If xfce4-panel is trapping the SIGINT, maybe it passes it to its own terminal?
Comment 6 rePeter 2013-11-23 09:10:10 EST
I think it is not a fault of xfce or xterm,
I have the same problem with xterm after last upgrade:

Nov 22 11:05:00 Installed: netpbm-10.61.02-5.fc19.x86_64
Nov 22 11:05:03 Installed: netpbm-progs-10.61.02-5.fc19.x86_64
Nov 22 11:05:04 Installed: 1:transfig-3.2.5d-10.fc19.x86_64
Nov 22 11:05:04 Installed: libjpeg-turbo-utils-1.2.90-2.fc19.x86_64
Nov 22 11:05:05 Installed: gocr-0.49-5.fc19.x86_64
Nov 22 11:09:02 Updated: 2:libwbclient-4.0.11-1.fc19.x86_64
Nov 22 11:09:04 Updated: openssh-6.2p2-6.fc19.x86_64
Nov 22 11:09:05 Updated: mesa-libglapi-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:09:07 Updated: gtk2-2.24.22-2.fc19.x86_64
Nov 22 11:09:12 Updated: 1:kmod-nvidia-3.11.7-200.fc19.x86_64-331.20-2.fc19.x86_64
Nov 22 11:09:20 Updated: 1:xorg-x11-drv-nvidia-libs-331.20-4.fc19.x86_64
Nov 22 11:09:22 Updated: 1:xorg-x11-drv-nvidia-331.20-4.fc19.x86_64
Nov 22 11:09:40 Installed: kernel-3.11.8-200.fc19.x86_64
Nov 22 11:09:41 Updated: sane-backends-libs-1.0.24-6.fc19.x86_64
Nov 22 11:09:41 Updated: libacl-2.2.51-10.fc19.x86_64
Nov 22 11:09:43 Updated: 2:samba-libs-4.0.11-1.fc19.x86_64
Nov 22 11:09:44 Updated: 2:samba-common-4.0.11-1.fc19.x86_64
Nov 22 11:09:45 Updated: 2:libsmbclient-4.0.11-1.fc19.x86_64
Nov 22 11:09:46 Updated: 2:samba-winbind-modules-4.0.11-1.fc19.x86_64
Nov 22 11:09:47 Updated: 2:samba-winbind-4.0.11-1.fc19.x86_64
Nov 22 11:09:50 Updated: sane-backends-1.0.24-6.fc19.x86_64
Nov 22 11:09:52 Installed: 1:kmod-nvidia-3.11.8-200.fc19.x86_64-331.20-2.fc19.1.x86_64
Nov 22 11:09:54 Installed: kmod-VirtualBox-3.11.8-200.fc19.x86_64-4.3.2-1.fc19.4.x86_64
Nov 22 11:09:54 Updated: mesa-libgbm-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:09:55 Updated: colord-libs-1.0.4-1.fc19.x86_64
Nov 22 11:09:55 Updated: mesa-filesystem-9.2.3-1.20131114.fc19.i686
Nov 22 11:09:56 Updated: xorg-x11-server-common-1.14.4-3.fc19.x86_64
Nov 22 11:09:57 Updated: xorg-x11-server-Xorg-1.14.4-3.fc19.x86_64
Nov 22 11:09:58 Installed: yaml-cpp03-0.3.0-4.fc19.x86_64
Nov 22 11:10:00 Updated: mesa-filesystem-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:10:25 Updated: selinux-policy-3.12.1-74.13.fc19.noarch
Nov 22 11:10:26 Updated: 1:dbus-libs-1.6.12-2.fc19.x86_64
Nov 22 11:10:27 Updated: mesa-libglapi-9.2.3-1.20131114.fc19.i686
Nov 22 11:10:28 Updated: 1:dbus-1.6.12-2.fc19.x86_64
Nov 22 11:10:28 Updated: 1:dbus-x11-1.6.12-2.fc19.x86_64
Nov 22 11:11:38 Updated: selinux-policy-targeted-3.12.1-74.13.fc19.noarch
Nov 22 11:11:42 Updated: mesa-dri-drivers-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:11:43 Updated: OpenColorIO-1.0.8-6.fc19.x86_64
Nov 22 11:11:44 Updated: xorg-x11-drv-wacom-0.23.0-1.fc19.x86_64
Nov 22 11:11:46 Updated: colord-1.0.4-1.fc19.x86_64
Nov 22 11:11:47 Updated: mesa-libEGL-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:11:48 Updated: kmod-VirtualBox-4.3.2-1.fc19.4.x86_64
Nov 22 11:11:48 Updated: 1:kmod-nvidia-331.20-2.fc19.1.x86_64
Nov 22 11:11:49 Updated: sane-backends-drivers-scanners-1.0.24-6.fc19.x86_64
Nov 22 11:11:50 Updated: 2:samba-winbind-clients-4.0.11-1.fc19.x86_64
Nov 22 11:11:51 Updated: 2:samba-client-4.0.11-1.fc19.x86_64
Nov 22 11:11:51 Updated: acl-2.2.51-10.fc19.x86_64
Nov 22 11:11:53 Installed: kernel-modules-extra-3.11.8-200.fc19.x86_64
Nov 22 11:12:04 Updated: 1:xorg-x11-drv-nvidia-libs-331.20-4.fc19.i686
Nov 22 11:12:04 Updated: gtk2-immodule-xim-2.24.22-2.fc19.x86_64
Nov 22 11:12:05 Updated: openssh-askpass-6.2p2-6.fc19.x86_64
Nov 22 11:12:06 Updated: mesa-libGL-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:12:06 Updated: openssh-server-6.2p2-6.fc19.x86_64
Nov 22 11:12:07 Updated: openssh-clients-6.2p2-6.fc19.x86_64
Nov 22 11:12:08 Updated: soprano-2.9.4-2.fc19.x86_64
Nov 22 11:12:09 Updated: 2:qemu-guest-agent-1.4.2-13.fc19.x86_64
Nov 22 11:12:12 Updated: kernel-headers-3.11.8-200.fc19.x86_64
Nov 22 11:13:41 Installed: kernel-devel-3.11.8-200.fc19.x86_64
Nov 22 11:13:41 Updated: iw-3.11-1.fc19.x86_64
Nov 22 11:13:45 Updated: phpMyAdmin-3.5.8.2-1.fc19.noarch
Nov 22 11:13:46 Updated: mesa-libxatracker-9.2.3-1.20131114.fc19.x86_64
Nov 22 11:13:47 Updated: 1:net-snmp-libs-5.7.2-12.fc19.x86_64
Nov 22 11:13:48 Updated: gnutls-3.1.16-1.fc19.x86_64
Nov 22 11:13:48 Updated: mesa-libgbm-9.2.3-1.20131114.fc19.i686
Nov 22 11:13:49 Updated: mesa-libEGL-9.2.3-1.20131114.fc19.i686
Nov 22 11:13:50 Updated: mesa-libGL-9.2.3-1.20131114.fc19.i686
Nov 22 11:13:53 Updated: mesa-dri-drivers-9.2.3-1.20131114.fc19.i686
Nov 22 11:13:54 Updated: SDL2-2.0.1-1.fc19.i686
Nov 22 11:13:56 Updated: gnutls-3.1.16-1.fc19.i686
Nov 22 11:13:59 Updated: gtk2-2.24.22-2.fc19.i686
Nov 22 11:14:00 Updated: 1:dbus-libs-1.6.12-2.fc19.i686
Nov 22 11:14:05 Erased: 1:kmod-nvidia-3.11.6-200.fc19.x86_64-325.15-1.fc19.5.x86_64
Nov 22 11:14:20 Erased: kmod-VirtualBox-3.11.6-200.fc19.x86_64-4.3.0-2.fc19.x86_64
Nov 22 11:14:47 Erased: yaml-cpp-0.3.0-3.fc19.x86_64
Nov 22 12:51:25 Installed: libewf-20130416-1.fc19.x86_64
Nov 22 12:51:26 Installed: testdisk-6.14-2.fc19.x86_64
Nov 22 12:51:52 Installed: extundelete-0.2.4-1.fc19.x86_64
Comment 7 Kevin Fenzi 2013-11-23 13:42:23 EST
Yeah, looking around, this seems to be caused by the binary only non free nvidia driver. ;( 

I don't know that there's much we can do from our side about it...
Comment 8 Andy Bakun 2013-11-24 00:33:07 EST
It looks like bug 1018819 may be related/dupe.

I started experiencing this today, and I just recently applied the following updates and rebooted.  I use control-c quite a bit while at the bash command line to get a clean prompt), so it was immediately obvious that it wasn't working.  This was a fresh install of F19 (not upgraded), and I too am running the nvidia binary driver.  The only things I had changed since last time this was working was appling these package changes (with "yum update")

Nov 22 21:27:52 Updated: cinnamon-desktop-2.0.3-1.fc19.x86_64
Nov 22 21:27:52 Updated: 1:dbus-libs-1.6.12-2.fc19.x86_64
Nov 22 21:27:53 Updated: cinnamon-translations-2.0.2-1.fc19.noarch
Nov 22 21:27:53 Updated: mesa-libglapi-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:27:54 Updated: mesa-libGL-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:27:55 Updated: gtk2-2.24.22-2.fc19.x86_64
Nov 22 21:27:56 Updated: 1:kmod-nvidia-3.11.7-200.fc19.x86_64-331.20-2.fc19.x86_64
Nov 22 21:28:00 Updated: 1:xorg-x11-drv-nvidia-libs-331.20-4.fc19.x86_64
Nov 22 21:28:01 Updated: 1:xorg-x11-drv-nvidia-331.20-4.fc19.x86_64
Nov 22 21:28:01 Updated: openssh-6.2p2-6.fc19.x86_64
Nov 22 21:28:01 Updated: cinnamon-control-center-filesystem-2.0.7-1.fc19.x86_64
Nov 22 21:28:02 Updated: gnutls-3.1.16-1.fc19.x86_64
Nov 22 21:28:02 Updated: mesa-libglapi-9.2.3-1.20131114.fc19.i686
Nov 22 21:28:03 Updated: nemo-2.0.5-1.fc19.x86_64
Nov 22 21:28:04 Updated: nemo-extensions-2.0.5-1.fc19.x86_64
Nov 22 21:28:04 Updated: 1:dbus-1.6.12-2.fc19.x86_64
Nov 22 21:28:04 Updated: 1:dbus-x11-1.6.12-2.fc19.x86_64
Nov 22 21:28:04 Updated: libacl-2.2.51-10.fc19.x86_64
Nov 22 21:28:04 Updated: 2:libwbclient-4.0.11-1.fc19.x86_64
Nov 22 21:28:05 Updated: 2:samba-libs-4.0.11-1.fc19.x86_64
Nov 22 21:28:06 Updated: 2:samba-common-4.0.11-1.fc19.x86_64
Nov 22 21:28:06 Updated: 2:libsmbclient-4.0.11-1.fc19.x86_64
Nov 22 21:28:07 Updated: muffin-2.0.4-1.fc19.x86_64
Nov 22 21:28:07 Updated: cinnamon-session-2.0.5-1.fc19.x86_64
Nov 22 21:28:07 Updated: gnutls-dane-3.1.16-1.fc19.x86_64
Nov 22 21:28:08 Updated: gnutls-c++-3.1.16-1.fc19.x86_64
Nov 22 21:28:08 Updated: cinnamon-settings-daemon-2.0.7-1.fc19.x86_64
Nov 22 21:28:09 Updated: cinnamon-control-center-2.0.7-1.fc19.x86_64
Nov 22 21:28:09 Updated: mesa-libgbm-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:09 Updated: mesa-libEGL-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:10 Updated: cinnamon-screensaver-2.0.3-1.fc19.x86_64
Nov 22 21:28:10 Updated: rxvt-unicode-9.19-1.fc19.x86_64
Nov 22 21:28:10 Updated: mesa-filesystem-9.2.3-1.20131114.fc19.i686
Nov 22 21:28:10 Updated: mesa-filesystem-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:10 Updated: selinux-policy-3.12.1-74.13.fc19.noarch
Nov 22 21:28:12 Updated: selinux-policy-targeted-3.12.1-74.13.fc19.noarch
Nov 22 21:28:14 Updated: mesa-dri-drivers-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:14 Updated: rxvt-unicode-256color-9.19-1.fc19.x86_64
Nov 22 21:28:16 Updated: cinnamon-2.0.11-1.fc19.x86_64
Nov 22 21:28:16 Updated: mesa-libEGL-devel-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:16 Updated: gnutls-devel-3.1.16-1.fc19.x86_64
Nov 22 21:28:16 Updated: 2:samba-client-4.0.11-1.fc19.x86_64
Nov 22 21:28:17 Updated: acl-2.2.51-10.fc19.x86_64
Nov 22 21:28:17 Updated: 1:dbus-devel-1.6.12-2.fc19.x86_64
Nov 22 21:28:17 Updated: openssh-server-6.2p2-6.fc19.x86_64
Nov 22 21:28:17 Updated: openssh-askpass-6.2p2-6.fc19.x86_64
Nov 22 21:28:17 Updated: openssh-clients-6.2p2-6.fc19.x86_64
Nov 22 21:28:22 Updated: 1:xorg-x11-drv-nvidia-libs-331.20-4.fc19.i686
Nov 22 21:28:22 Updated: 1:akmod-nvidia-331.20-2.fc19.x86_64
Nov 22 21:28:22 Updated: gtk2-immodule-xim-2.24.22-2.fc19.x86_64
Nov 22 21:28:24 Updated: gtk2-devel-2.24.22-2.fc19.x86_64
Nov 22 21:28:24 Updated: mesa-libGL-devel-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:25 Updated: soprano-2.9.4-2.fc19.x86_64
Nov 22 21:28:26 Updated: evolution-data-server-3.8.5-6.fc19.x86_64
Nov 22 21:28:27 Updated: kernel-headers-3.11.8-200.fc19.x86_64
Nov 22 21:28:54 Installed: kernel-devel-3.11.8-200.fc19.x86_64
Nov 22 21:28:54 Updated: kdepimlibs-kxmlrpcclient-4.11.3-3.fc19.x86_64
Nov 22 21:28:57 Updated: mesa-libxatracker-9.2.3-1.20131114.fc19.x86_64
Nov 22 21:28:57 Updated: 1:net-snmp-libs-5.7.2-12.fc19.x86_64
Nov 22 21:28:58 Updated: xorg-x11-drv-wacom-0.23.0-1.fc19.x86_64
Nov 22 21:28:58 Updated: mesa-libgbm-9.2.3-1.20131114.fc19.i686
Nov 22 21:28:58 Updated: mesa-libEGL-9.2.3-1.20131114.fc19.i686
Nov 22 21:29:00 Updated: mesa-dri-drivers-9.2.3-1.20131114.fc19.i686
Nov 22 21:29:00 Updated: mesa-libGL-9.2.3-1.20131114.fc19.i686
Nov 22 21:29:00 Updated: SDL2-2.0.1-1.fc19.i686
Nov 22 21:29:01 Updated: gnutls-3.1.16-1.fc19.i686
Nov 22 21:29:02 Updated: gtk2-2.24.22-2.fc19.i686
Nov 22 21:29:02 Updated: 1:dbus-libs-1.6.12-2.fc19.i686
Nov 22 21:29:07 Installed: kernel-3.11.8-200.fc19.x86_64
Nov 22 21:29:08 Installed: kernel-modules-extra-3.11.8-200.fc19.x86_64
Nov 22 21:29:10 Erased: 1:kmod-nvidia-3.11.6-200.fc19.x86_64-325.15-1.fc19.5.x86_64

When in an xterm, "cat /proc/self/status | grep SigBlk" shows that SIGINT is blocked ("SigBlk: 0000000000000003").

"stty -a" shows that "intr = ^C", so it's not a terminal thing.

Here's a snapshot of the processlist ("ps -f -o user,pid,blocked,bsdstart,args -p" with a selected list of processes).  Note that xfce4-session has SIGINT blocked, and this is apparently being inherited by many of the child processes.

USER       PID          BLOCKED  START COMMAND
myuser    1031 0000000000010000  16:26      \_ /bin/sh /etc/xdg/xfce4/xinitrc
myuser    1115 0000000000000000  16:26          \_ /usr/bin/ssh-agent /bin/sh -c exec -l /bin/b
myuser    1144 0000000000000003  16:26          \_ xfce4-session
myuser    1149 0000000000000003  16:26              \_ xfwm4 --display :0.0 --sm-client-id 2a8e
myuser    1151 0000000000000003  16:26              \_ xfce4-panel --display :0.0 --sm-client-i
myuser    1157 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1162 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1163 00007ffe79303a38  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1164 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1165 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1166 0000000000000003  16:26              |   \_ /usr/libexec/xfce4/panel-plugins/xfc
myuser    1167 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser    1168 0000000000000003  16:26              |   \_ /usr/lib64/xfce4/panel/wrapper /usr/
myuser   28039 0000000000000003  21:16              |   \_ rxvt
myuser   28040 0000000000000003  21:16              |       \_ bash
myuser    1153 0000000000000003  16:26              \_ xfdesktop --display :0.0 --sm-client-id 
myuser    1155 000000325c222208  16:26              \_ psi -session 2fd031f8a-4d74-49d0-b596-a4
myuser    1207 0000000000000003  16:26              \_ /home/myuser/.dropbox-dist/dropbox start
myuser    1208 0000000000000003  16:26              \_ xfce4-clipman
myuser    1210 0000000000000000  16:26              \_ /usr/bin/perl /usr/bin/shutter --min_at_
myuser    1211 0000000400000000  16:26              \_ gnome-gmail-notifier
myuser    1212 0000000000000003  16:26              \_ /usr/bin/python /usr/share/system-config
myuser    1214 0000000000000003  16:26              \_ xscreensaver -no-splash
myuser    1221 0000000400000000  16:26              \_ nm-applet
myuser    1233 0000000000000003  16:26              \_ /usr/libexec/polkit-gnome-authentication
myuser    1278 0000000000000003  16:26              \_ /usr/bin/python /usr/bin/blueman-applet
myuser    1029 0000000000005201  16:26 /usr/bin/gnome-keyring-daemon --daemonize --login
myuser    1043 0000000000000000  16:26 dbus-launch --sh-syntax --exit-with-session
myuser    1044 0000000000000000  16:26 /bin/dbus-daemon --fork --print-pid 4 --print-address 6 
myuser    1055 0000000000000000  16:26 /usr/libexec/imsettings-daemon
myuser    1058 0000000000000000  16:26 /usr/libexec/gvfsd
myuser    1065 0000000000000000  16:26 /usr/lib64/xfce4/xfconf/xfconfd
myuser    1148 0000000000000000  16:26 /usr/bin/gpg-agent --sh --daemon --write-env-file /home/
myuser    1154 0000000000000003  16:26 xfsettingsd --display :0.0 --sm-client-id 2af314e9d-6a12
myuser    1172 0000000000000000  16:26 /usr/libexec/gconfd-2
myuser    1204 0000000000000000  16:26 /usr/bin/pulseaudio --start --log-target=syslog
myuser    1293 0000000000000000  16:26 /usr/bin/gnome-keyring-daemon --start --foreground --com
myuser    1354 0000000000000000  16:26 /usr/libexec/gvfs-udisks2-volume-monitor
myuser   19621 0000000000000003  19:50 /usr/bin/xterm -geometry 178x102+1281+33 -bg grey8 -fg w
myuser   19625 0000000000000003  19:50  \_ -bash
myuser   19839 0000000000000003  19:52 /usr/bin/xterm -geometry 140x45 -bg grey8 -fg white -tn 
myuser   19843 0000000000010003  19:52  \_ -bash
myuser   24890 0000000000000003  20:46 /usr/bin/xterm -geometry 140x45 -bg grey8 -fg white -tn 
myuser   24894 0000000000010003  20:46  \_ -bash
myuser   25460 0000000000000003  20:51      \_ cat
myuser   25469 0000000400000000  20:51      \_ xfce4-terminal
myuser   25472 0000000400000000  20:51          \_ gnome-pty-helper
myuser   25473 0000000400000000  20:51          \_ bash

Note the three xterms (and their bashes), spawned from the xfce4 panel, at the bottom of this list all have SIGINT blocked.  The last xterm has cat running (which I then used control-z to suspend, since control-c doesn't work) and xfce4-terminal.

The xterm and bash entries at the bottom of the list were spawned through the the xfce4 panel.  The xfce4-terminal, spawned from an xterm, does not have SIGINT blocked, and control-c works as expected there.

Unfortunately, this isn't very debuggable with strace because under strace signal handling is different.  If I strace xfce4-terminal, then it *doesn't unblock* SIGINT and then control-c doesn't work.

$ strace -tt -e rt_sigprocmask xfce4-terminal -e /bin/true
21:14:58.226703 rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
21:14:58.445052 --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=27887, si_status=0, si_utime=0, si_stime=0} ---
21:14:58.445406 rt_sigprocmask(SIG_SETMASK, ~[RTMIN RT_1], [HUP INT], 8) = 0
21:14:58.445764 rt_sigprocmask(SIG_SETMASK, [HUP INT], NULL, 8) = 0
21:14:58.481809 +++ exited with 0 +++

Here the second call is returning that the blocked signals are HUP and INT, and then it goes on to restore that mask later on.

If do "sudo -i" or "ssh localhost", the resultant shells do not have SIGINT blocked, and control-c works as expected.

When SIGINT is blocked, xterm won't die when the close button on the window controls is pressed or close is selected in the window menu, but rxvt will.  Note the rxvt spawned from xfce4-panel above shows SIGINT being blocked.

Kevin, considering that Mark says in comment 3 that this also happens with nouveau, is there anything other than which packages were upgraded that lead you to think it's nvidia binary driver related?

This was happening under kernel 3.11.8-200, and I rebooted to 3.11.7-200 earlier to see if it impacted it.  There was no change.  I notice that the nvidia drivers are the same for these kernel versions (331.20-2), but I still have 325.15-2 installed for kernel 3.11.6-201.  I'm going to reboot with that now.  If kmod-nvidia-3.11.6-201.fc19.x86_64-325.15-2.fc19.x86_64 fixes it, then I agree that it looks like it's nvidia related (nvidia library doing something different with signals in a call made by a xfce4 program?), and maybe I'll compile 325.15-2 for kernel 3.11.8-200 to see if that fixes it.

Sorry this is so long, but maybe it will help someone else track it down (even if it's not something fedora can directly influence).
Comment 9 Andy Bakun 2013-11-24 02:15:03 EST
I downgraded to nvidia drivers 325.15-1 from rpmfusion, running on the latest F19 kernel 3.11.8-200, and SIGINT is no longer masked by my xfce4-panel spawned xterms/bash, or by the xfce4-session process.  I as far as I'm concerned, this confirms comment 7 and this isn't an issue Fedora can fix.
Comment 11 Matthias Clasen 2013-11-25 14:26:34 EST
*** Bug 1018819 has been marked as a duplicate of this bug. ***
Comment 12 Alfredo Ferrari 2013-12-16 16:54:39 EST
same problem with a dell latitude e6530
Comment 13 Peter 2013-12-18 00:55:26 EST
I'm running

Fedora 20 3.12.5-301.fc20.x86_64
Gnome-Shell 3.10.2
Nvidia Proprietary Drivers - 331.20

For me ctrl+c behaves as follows:

WORKING:

xfce-terminal, gnome-terminal 


NOT WORKING:

guake, xterm
Comment 14 Ahmad Samir 2013-12-18 03:20:38 EST
Note that another symptom of this bug is that some processes become zombies, you can check with:
ps -ef | grep "<defunct>"
Comment 15 Chunnayya Munnayya 2013-12-30 02:33:08 EST
NVIDIA has stated that at least one bug (BugID 1414070) has been fixed (as per Comment #13 on https://devtalk.nvidia.com/default/topic/638521/linux/gnome-terminal-problems-ctrl-c-and-exit/)

However, there is another related issue (NVIDIA BugID 1431249, Comment #15, https://devtalk.nvidia.com/default/topic/633706/linux/recent-drivers-cause-applications-to-hang-not-start-at-all-or-compilation-failures/).

That update was from the same userid, with a slightly newer date/timestamp, than the prior comment, it appears NVIDIA may be thinking there is / may be more than one defect.
Comment 16 Andy Bakun 2014-02-27 02:17:08 EST
This is apparently fixed with nvidia drivers 331.38 (I'm using kernel 3.12.11-201).  I'm not having the issues outlined in comment 8, and the blocked signals list for xterms and shells does not include SIGINT like did with 331.20.
Comment 17 Fedora End Of Life 2015-01-09 17:21:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:39:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.